package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Device PoE Ports
 */
@ApiModel(description = "Device PoE Ports")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class PortPoe   {
  @JsonProperty("portId")
  private Integer portId;

  @JsonProperty("poeSupported")
  private Boolean poeSupported;

  @JsonProperty("poeEnabled")
  private Boolean poeEnabled;

  @JsonProperty("poePower")
  private Integer poePower;

  @JsonProperty("poePercent")
  private Integer poePercent;

  public PortPoe portId(Integer portId) {
    this.portId = portId;
    return this;
  }

  /**
   * Switch port ID
   * @return portId
  */
  @ApiModelProperty(value = "Switch port ID")


  public Integer getPortId() {
    return portId;
  }

  public void setPortId(Integer portId) {
    this.portId = portId;
  }

  public PortPoe poeSupported(Boolean poeSupported) {
    this.poeSupported = poeSupported;
    return this;
  }

  /**
   * Switch port supported
   * @return poeSupported
  */
  @ApiModelProperty(value = "Switch port supported")


  public Boolean getPoeSupported() {
    return poeSupported;
  }

  public void setPoeSupported(Boolean poeSupported) {
    this.poeSupported = poeSupported;
  }

  public PortPoe poeEnabled(Boolean poeEnabled) {
    this.poeEnabled = poeEnabled;
    return this;
  }

  /**
   * Switch port enable
   * @return poeEnabled
  */
  @ApiModelProperty(value = "Switch port enable")


  public Boolean getPoeEnabled() {
    return poeEnabled;
  }

  public void setPoeEnabled(Boolean poeEnabled) {
    this.poeEnabled = poeEnabled;
  }

  public PortPoe poePower(Integer poePower) {
    this.poePower = poePower;
    return this;
  }

  /**
   * Switch port power
   * @return poePower
  */
  @ApiModelProperty(value = "Switch port power")


  public Integer getPoePower() {
    return poePower;
  }

  public void setPoePower(Integer poePower) {
    this.poePower = poePower;
  }

  public PortPoe poePercent(Integer poePercent) {
    this.poePercent = poePercent;
    return this;
  }

  /**
   * Switch port percent
   * @return poePercent
  */
  @ApiModelProperty(value = "Switch port percent")


  public Integer getPoePercent() {
    return poePercent;
  }

  public void setPoePercent(Integer poePercent) {
    this.poePercent = poePercent;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PortPoe portPoe = (PortPoe) o;
    return Objects.equals(this.portId, portPoe.portId) &&
        Objects.equals(this.poeSupported, portPoe.poeSupported) &&
        Objects.equals(this.poeEnabled, portPoe.poeEnabled) &&
        Objects.equals(this.poePower, portPoe.poePower) &&
        Objects.equals(this.poePercent, portPoe.poePercent);
  }

  @Override
  public int hashCode() {
    return Objects.hash(portId, poeSupported, poeEnabled, poePower, poePercent);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PortPoe {\n");
    
    sb.append("    portId: ").append(toIndentedString(portId)).append("\n");
    sb.append("    poeSupported: ").append(toIndentedString(poeSupported)).append("\n");
    sb.append("    poeEnabled: ").append(toIndentedString(poeEnabled)).append("\n");
    sb.append("    poePower: ").append(toIndentedString(poePower)).append("\n");
    sb.append("    poePercent: ").append(toIndentedString(poePercent)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

